Subject: MONARCHS RECAPTURED IN MEXICO

From: [email-masked] (Donald A. Davis)
Date: Wed, 29 Mar 1995 23:59:06 GMT

Two more Ontario-tagged monarch butterflies, tagged and released in August
and September at Presqu'ile Provincial Park near Brighton, Ontario (on the
north shore of Lake Ontario opposite Rochester, New York) were recovered at
the end of February 1995 at El Rosario, Michoacan, Mexico. One was found by
an exchange student from Nepean, Ontario. The other was purchased by a
noted American monarch researcher for $20.00 US from a local citizen.

Any sightings of migrating monarch butterflies?